<?




$q_menu=mysql_query("SELECT * FROM `menu` ORDER BY `pos` ASC");




while ($post_menu = mysql_fetch_assoc($q_menu))




{




if ($post_menu['type']=='link')echo "<div class='main_menu'>";














if (!isset($post_menu['icon']))mysql_query('ALTER TABLE `menu` ADD `icon` VARCHAR( 32 ) NULL DEFAULT NULL');




if (!isset($post_menu['type']))mysql_query("ALTER TABLE  `menu` ADD  `type` ENUM('link', 'razd') NOT NULL DEFAULT 'link' AFTER `id`");









if ($post_menu['type']=='link')echo "<img src='/style/icons/$post_menu[icon]' alt='*'> ";














if ($post_menu['type']=='link')echo "<a href='$post_menu[url]'>";




else echo "<div class='menu_razd'>";




echo $post_menu['name'];




if ($post_menu['type']=='link')echo "</a>\n";




if ($post_menu['counter']!=NULL && is_file(H.$post_menu['counter']))




{




@include H.$post_menu['counter'];




}









echo "</div>";














}







$k_n= mysql_result(mysql_query("SELECT COUNT(*) FROM `blog` WHERE `mod` = '0' && `time` > '".$ftime."'",$db), 0);
if ($k_n==0)$k_n=NULL;else $k_n='+'.$k_n;

if (user_access('adm_panel_show')){
echo "<div class='main_menu'>\n";
echo "<img src='/style/icons/ok.gif' alt='S' /> <a href='plugins/blog/moder.php'> Модерация статей</a> ";
echo " <font color='red'>$k_n</font>";
echo "</div>";

echo "<div class='main_menu'>\n";
echo "<img src='/style/icons/admin.png' alt='S' /> <a href='plugins/admin/'>Админ кабинет</a> ";
include_once "plugins/admin/count.php";
echo "</div>";
}








?>